name: Package mpremote

on:
  push:
  pull_request:
    paths:
      - '.github/workflows/*.yml'
      - 'tools/**'

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
      with:
        # Setting this to zero means fetch all history and tags,
        # which hatch-vcs can use to discover the version tag.
        fetch-depth: 0
    - uses: actions/setup-python@v5
    - name: Install build tools
      run: pip install build
    - name: Build mpremote wheel
      run: cd tools/mpremote && python -m build --wheel
    - name: Archive mpremote wheel
      uses: actions/upload-artifact@v4
      with:
        name: mpremote
        path: |
          tools/mpremote/dist/mpremote*.whl
